# icx_ping – Tests reachability using ping from Ruckus ICX 7000 series switches

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Tests reachability using ping from switch to a remote destination.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
count integer |  | Number of packets to send. Default is 1.
dest string / required |  | ip-addr | host-name | vrf vrf-name | ipv6 [ ipv6-addr | host-name | vrf vrf-name] (resolvable by switch) of the remote node.
size integer |  | Specifies the size of the ICMP data portion of the packet, in bytes. This is the payload and does not include the header. The value can range from 0 to 10000. The default is 16..
source string |  | IP address to be used as the origin of the ping packets.

state
string

Choices:
- absent
- present ←

Determines if the expected result is success or fail.

timeout integer |  | Specifies the time, in milliseconds for which the device waits for a reply from the pinged device. The value can range from 1 to 4294967296. The default is 5000 (5 seconds).
ttl integer |  | Specifies the time to live as a maximum number of hops. The value can range from 1 to 255. The default is 64.
vrf string |  | Specifies the Virtual Routing and Forwarding (VRF) instance of the device to be pinged.

## Notes

Note

- Tested against ICX 10.1

## Examples

    - name: Test reachability to 10.10.10.10
      icx_ping:
        dest: 10.10.10.10

    - name: Test reachability to ipv6 address from source with timeout
      icx_ping:
        dest: ipv6 2001:cdba:0000:0000:0000:0000:3257:9652
        source: 10.1.1.1
        timeout: 100000

    - name: Test reachability to 10.1.1.1 through vrf using 5 packets
      icx_ping:
        dest: 10.1.1.1
        vrf: x.x.x.x
        count: 5

    - name: Test unreachability to 10.30.30.30
      icx_ping:
        dest: 10.40.40.40
        state: absent

    - name: Test reachability to ipv4 with ttl and packet size
      icx_ping:
        dest: 10.10.10.10
        ttl: 20
        size: 500

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | Show the command sent. Sample: ['ping 10.40.40.40 count 20 source loopback0', 'ping 10.40.40.40']
packet_loss string | always | Percentage of packets lost. Sample: 0%
packets_rx integer | always | Packets successfully received. Sample: 20
packets_tx integer | always | Packets successfully transmitted. Sample: 20
rtt dictionary | always | Show RTT stats. Sample: {'avg': 2, 'max': 8, 'min': 1}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ruckus Wireless (@Commscope)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.